﻿@using Ogame.Models
@model LoginViewModel
@{
    ViewBag.Title = "Log in";
}

<h2>@ViewBag.Title</h2>
<div class="row">
    <div class="col-md-8">
        <section id="loginForm">
            @using (Html.BeginForm("Login", "Account", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
            {
                @Html.AntiForgeryToken()
                <h4>Use a local account to log in.</h4>
                <hr />
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                <div class="form-group">
                    @Html.LabelFor(m => m.UserName, new { @class = "col-md-2 control-label" })
                    <div class="col-md-10">
                        @Html.TextBoxFor(m => m.UserName, new { @class = "form-control" })
                        @Html.ValidationMessageFor(m => m.UserName, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    @Html.LabelFor(m => m.Password, new { @class = "col-md-2 control-label" })
                    <div class="col-md-10">
                        @Html.PasswordFor(m => m.Password, new { @class = "form-control" })
                        @Html.ValidationMessageFor(m => m.Password, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-offset-2 col-md-10">
                        <div class="checkbox">
                            @Html.CheckBoxFor(m => m.RememberMe)
                            @Html.LabelFor(m => m.RememberMe)
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-offset-2 col-md-10">
                        <input type="submit" value="Log in" class="btn btn-default" />
                    </div>
                </div>
                <p>
                    @Html.ActionLink("Register as a new user", "Register")
                    |
                    @Html.ActionLink("Forgot your password?", "ForgotPassword")
                </p>
            }
        </section>
    </div>
    <div class="col-md-4">
        @if (HttpContext.Current.IsDebuggingEnabled)
        {
        <h4>In debug mode, you can test this application with this logins or create new if you want</h4>
        <table class="table">
            <tr>
                <th>
                    Username
                </th>
                <th>
                    Password
                </th>
                <th>
                    Role
                </th>
            </tr>

            <tr>
                <td>
                    Admin
                </td>
                <td>
                    123P@ssword
                </td>
                <td>
                    Administrator
                </td>
            </tr>
            <tr>
                <td>
                    User
                </td>
                <td>
                    123P@ssword
                </td>
                <td>
                    Player
                </td>
            </tr>
        </table>
}
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}